<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>mail-server</artifactId>
        <groupId>fr.jihad-oussad</groupId>
        <version>1.6-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <packaging>jar</packaging>
    <groupId>fr.jihad-oussad.mail-server</groupId>
    <artifactId>mail-server-contract</artifactId>
    <name>Mail Server - Contract</name>

    <dependencies>
        <!-- Internal tools -->
        <dependency>
            <groupId>fr.jihad-oussad.tools</groupId>
            <artifactId>tools-api-response</artifactId>
        </dependency>
        <dependency>
            <groupId>fr.jihad-oussad.tools</groupId>
            <artifactId>tools-validators</artifactId>
        </dependency>

        <!-- Tests dependencies -->
        <dependency>
            <groupId>org.junit.jupiter</groupId>
            <artifactId>junit-jupiter-api</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.junit.jupiter</groupId>
            <artifactId>junit-jupiter-engine</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.assertj</groupId>
            <artifactId>assertj-core</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>
</project>
